Skip to main content
POST
/
api
/
v1
/
backchannel
/
risk
/
sensitivities
cURL
curl --request POST \
  --url https://tilt.io/api/v1/backchannel/risk/sensitivities \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "portfolio_weights": {},
  "tilt_ids": [
    "<string>"
  ],
  "limit": 50
}
'
{
  "success": true,
  "type": "portfolio",
  "portfolio_macro_exposures": [
    {
      "macro_factor": "<string>",
      "description": "<string>",
      "portfolio_exposure": 123,
      "top_contributors": [
        {}
      ]
    }
  ],
  "results": [
    {
      "tilt_id": "<string>",
      "sensitivities": {},
      "weight": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
portfolio_weights
object
tilt_ids
string[] | null
limit
integer
default:50

Response

200 - application/json

Macro sensitivities for portfolio or individual stocks

success
boolean
required
type
enum<string>
required
Available options:
portfolio,
individual
portfolio_macro_exposures
object[]
results
object[]